org.keycloak.representations.idm

## Class RoleRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.RoleRepresentation

-     public class RoleRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RoleRepresentation.Composites`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `composite`
    `protected RoleRepresentation.Composites` | `composites`
    `protected String` | `description`
    `protected String` | `id`
    `protected String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleRepresentation()`
    `RoleRepresentation(String name, String description)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RoleRepresentation.Composites` | `getComposites()`
    `String` | `getDescription()`
    `String` | `getId()`
    `String` | `getName()`
    `boolean` | `isComposite()`
    `void` | `setComposite(boolean composite)`
    `void` | `setComposites(RoleRepresentation.Composites composites)`
    `void` | `setDescription(String description)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### name

          protected String name

    - #### description

          protected String description

    - #### composite

          protected boolean composite

    - #### composites

          protected RoleRepresentation.Composites composites

  - ### Constructor Detail

    - #### RoleRepresentation

          public RoleRepresentation()

    - #### RoleRepresentation

          public RoleRepresentation(String name,
                            String description)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getComposites

          public RoleRepresentation.Composites getComposites()

    - #### setComposites

          public void setComposites(RoleRepresentation.Composites composites)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### isComposite

          public boolean isComposite()

    - #### setComposite

          public void setComposite(boolean composite)

Copyright © 2015. All Rights Reserved.